lighttpd (1.4.82-2ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:27:35 +0100

lighttpd (1.4.82-2ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Sep 2025 09:34:23 +0200

lighttpd (1.4.82-2) unstable; urgency=medium

  * Rebuilt with dpkg-buildpackage -S

 -- Glenn Strauss <gstrauss@gluelogic.com>  Sat, 13 Sep 2025 11:50:49 -0400

lighttpd (1.4.82-1) unstable; urgency=medium

  * New upstream version 1.4.82
  * Remove patches part of upstream lighttpd 1.4.80
  * Further simplify Architecture list to omit Hurd (debian/control)
  * Add Build-Depends: libcrypt-dev (closes: #1106941)
  * Add *detection* of HTTP/2 MadeYouReset (CVE-2025-8671) (closes: #1111140)
  * Add lighttpd.service RestrictAddressFamilies AF_NETLINK (closes: #1114554)

 -- Glenn Strauss <gstrauss@gluelogic.com>  Fri, 12 Sep 2025 20:18:26 -0400

lighttpd (1.4.79-2ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 May 2025 13:57:26 +0200

lighttpd (1.4.79-2) unstable; urgency=medium

  * Add patch to add mod_webdav log trace for EACCES on PUT (closes: #1103710)
  * Add post-1.4.79 patches from upstream
  * Build lighttpd on hurd w/o optional broken libs
  * NEWS entry for hardened systemd lighttpd.service
  * Edit lighttpd.NEWS for 1.4.77-1
  * Update Stefan Bühler email address
  * Update Glenn Strauss upstream signing key

 -- Glenn Strauss <gstrauss@gluelogic.com>  Mon, 12 May 2025 00:40:28 -0500

lighttpd (1.4.79-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Apr 2025 14:51:17 +0200

lighttpd (1.4.79-1) unstable; urgency=medium

  [ Glenn Strauss ]
  * Remove dependency on systemd-sysv (closes: #1095012)
  * Remove very old Conflicts,Breaks,Replaces
  * Add lighttpd mbedtls-crl.patch
  * Declare compliance with policy 4.7.2 - no changes needed.
  * Remove dependency on media-types; move to Suggests
  * load tls kernel module for kTLS
  * prefer /usr/lib/modules-load.d/ install location
  * add lighttpd*.socket systemd examples

  [ Stefan Bühler ]
  * New upstream version 1.4.78
  * Remove patches part of upstream lighttpd 1.4.78
  * New upstream version 1.4.79

 -- Stefan Bühler <source@stbuehler.de>  Sat, 05 Apr 2025 16:10:22 +0200

lighttpd (1.4.77-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Feb 2025 20:03:37 +0100

lighttpd (1.4.77-1) unstable; urgency=medium

  [ Glenn Strauss ]
  * Remove include-conf-enabled.pl
    (deprecated since 2019 in debian/1.4.52-4)
  * Test config in systemd ExecReload before signal SIGUSR1 (closes: #1084233)
    (lighttpd 1.4.77)
  * Remove perl from debian/control Recommends
  * Move spawn-fcgi from debian/control Recommends to Suggests
  * FTBFS with zlib-ng (closes: #1088683)
  * New upstream version 1.4.77
  * Drop patches applied upstream
  * Add post-release patches
  * Update debhelper compatibility level to 13.
  * Move lighty-enable-mod.1 -> lighty-enable-mod.8
  * Add debian/lighty-enable-mod to debian/copyright
  * Remove obsolete alt packages from debian/control
  * Add Documentation key to systemd unit lighttpd.lighttpd-maint.service

  [ Niels Thykier ]
  * add debian/rules override_dh_perl
    perl dependency for `lighttpd` is handled manually (as Recommends)
  * Migrate to `debputy` to remove the need for `fakeroot`

 -- Glenn Strauss <gstrauss@gluelogic.com>  Wed, 22 Jan 2025 04:26:52 -0500

lighttpd (1.4.76-1ubuntu3) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:47:49 -0500

lighttpd (1.4.76-1ubuntu2) plucky; urgency=medium

  * Rebuild against latest mbedtls

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Nov 2024 10:46:33 -0500

lighttpd (1.4.76-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 May 2024 14:22:00 +0200

lighttpd (1.4.76-1) unstable; urgency=medium

  * New upstream version 1.4.76
  * Detect VU#421644 HTTP/2 CONTINUATION Flood
  * Avoid CVE-2024-3094 xz supply chain attack
  * Patch to fix graceful shutdown timeout
  * Fix FTBFS Linux on SPARC
  * Declare compliance with policy 4.7.0 - no changes needed.

 -- Glenn Strauss <gstrauss@gluelogic.com>  Wed, 29 May 2024 14:09:13 +0200

lighttpd (1.4.75-1) unstable; urgency=medium

  * New upstream version 1.4.75

 -- Glenn Strauss <gstrauss@gluelogic.com>  Wed, 13 Mar 2024 11:04:26 -0400

lighttpd (1.4.74-3) unstable; urgency=medium

  * Patch mod_openssl cert expiration warning on armv7hf (closes: #1034586)
  * Patch mod_dirlisting regression adding '/' to files (closes: #1065247)

 -- Glenn Strauss <gstrauss@gluelogic.com>  Sat, 09 Mar 2024 12:53:44 -0500

lighttpd (1.4.74-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * defer installation of systemd-related files to the relevant debhelpers

 -- Glenn Strauss <gstrauss@gluelogic.com>  Tue, 27 Feb 2024 04:07:02 -0500

lighttpd (1.4.74-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:50:13 +1100

lighttpd (1.4.74-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:30:33 +0000

lighttpd (1.4.74-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 23:08:32 +0100

lighttpd (1.4.74-1) unstable; urgency=medium

  * New upstream version 1.4.74 (closes: #1057385)
  * Remove uuid-dev dependency from debian/control
  * Graceful shutdown (if quick) debian/lighttpd.init
  * Graceful reload in debian/lighttpd.init
  * Add src/compat/sys/queue.h to debian/copyright
  * Attempt to fix test-crossbuild-arm64 CI pipeline
  * Install lighttpd-maint.service,.timer

 -- Glenn Strauss <gstrauss@gluelogic.com>  Sat, 24 Feb 2024 06:08:14 -0500

lighttpd (1.4.73-1ubuntu2) noble; urgency=medium

  * Rebuild against latest wolfssl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:33:46 -0500

lighttpd (1.4.73-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Nov 2023 15:30:25 +0100

lighttpd (1.4.73-1) unstable; urgency=medium

  * New upstream version 1.4.73

 -- Glenn Strauss <gstrauss@gluelogic.com>  Mon, 30 Oct 2023 02:00:00 -0400

lighttpd (1.4.72-1) unstable; urgency=medium

  * New upstream version 1.4.72 (closes: #1037337, #1040525)

 -- Glenn Strauss <gstrauss@gluelogic.com>  Sat, 07 Oct 2023 03:56:59 -0400

lighttpd (1.4.71-2) unstable; urgency=medium

  [ Glenn Strauss ]
  * Build under UTF-8
  * Address lintian pedantry
  * Drop NEWS relevant to o-o-stable
  * lighttpd.conf comments and simplifications

  [ Alexandre Detiste ]
  * simplify crontab find syntax + systemd hardening

 -- Glenn Strauss <gstrauss@gluelogic.com>  Sun, 10 Sep 2023 05:55:55 -0500

lighttpd (1.4.71-1+exp1) experimental; urgency=medium

  * New upstream version 1.4.71

 -- Glenn Strauss <gstrauss@gluelogic.com>  Sat, 03 Jun 2023 23:46:22 -0500

lighttpd (1.4.70-1+exp1) experimental; urgency=medium

  * New upstream version 1.4.70
  * Install new module mod_h2 (separated out from lighttpd executable)
  * Update debian/copyright for lighttpd 1.4.70
  * lighttpd.conf: move use-ipv6.pl after include conf-enabled/*.conf
    (closes: #1035926)

 -- Glenn Strauss <gstrauss@gluelogic.com>  Sat, 13 May 2023 03:11:33 -0500

lighttpd (1.4.69-1ubuntu2) noble; urgency=medium

  * Rebuild against new libwolfssl41.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Nov 2023 16:35:41 +0100

lighttpd (1.4.69-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 May 2023 12:34:31 +0200

lighttpd (1.4.69-1) unstable; urgency=medium

  * New upstream version 1.4.69
  * Remove deprecated lighttpd modules.
  * Skip installing modules now built into lighttpd.
  * Add to not-installed mods now built into lighttpd.
  * Declare compliance with policy 4.6.2 - no changes needed.
  * lighttpd.init reopen-logs only if lighttpd is currently running.

 -- Glenn Strauss <gstrauss@gluelogic.com>  Fri, 10 Feb 2023 22:34:51 -0500

lighttpd (1.4.67-1ubuntu2) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:51:04 +0000

lighttpd (1.4.67-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2022 17:41:54 -0800

lighttpd (1.4.67-1) unstable; urgency=medium

  [ Glenn Strauss ]
  * prefer lighttpd TLS defaults

  [ Helmut Grohne ]
  * New upstream version 1.4.67
  * Update copyright years
  * Drop upgrade code for o-o-o-stable from postinst
  * Drop NEWS relevant to o-o-stable
  * Remove myself from uploaders
  * Install NEWS.Debian in main lighttpd package only

 -- Helmut Grohne <helmut.grohne@intenta.de>  Fri, 23 Sep 2022 09:06:57 +0200

lighttpd (1.4.66-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * New upstream version 1.4.66.

  [ Moritz Schlarb ]
  * Re-enable and fix reprotest job

  [ Helmut Grohne ]
  * update overrides to newer lintian syntax

 -- Helmut Grohne <helmut.grohne@intenta.de>  Tue, 23 Aug 2022 15:32:25 +0200

lighttpd (1.4.65-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Remove duplicate outdated NEWS file
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jun 2022 09:34:39 -0700

lighttpd (1.4.65-2) unstable; urgency=medium

  * Upload to unstable.

 -- Helmut Grohne <helmut.grohne@intenta.de>  Thu, 16 Jun 2022 11:30:57 +0200

lighttpd (1.4.65-1+exp1) experimental; urgency=medium

  [ Glenn Strauss ]
  * Enable building mod_gnutls

 -- Helmut Grohne <helmut.grohne@intenta.de>  Thu, 09 Jun 2022 13:17:59 +0200

lighttpd (1.4.65-1) unstable; urgency=medium

  [ Glenn Strauss ]
  * Use lua 5.4 going forwards (update from lua 5.3)
  * Remove obsolete configure flags for removed deps

  [ Helmut Grohne ]
  * New upstream version 1.4.65.
  * Declare compliance with policy 4.6.1 - no changes needed.
  * Enable libdeflate for mod_deflate

 -- Helmut Grohne <helmut.grohne@intenta.de>  Thu, 09 Jun 2022 12:36:09 +0200

lighttpd (1.4.64-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Remove duplicate outdated NEWS file
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 May 2022 14:20:56 -0700

lighttpd (1.4.64-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix bug number in previous changelog entry
  * New upstream version 1.4.64
    + Fixes CVE-2022-22707 32-bit lighttpd mod_extforward crash.

  [ Glenn Strauss ]
  * Remove mod_geoip; replaced by mod_maxminddb
  * Remove mod_cml; replaced by mod_magnet
  * Remove mod_authn_mysql and mod_mysql_vhost
  * Remove mod_flv_streaming; replace using mod_magnet
  * Remove mod_trigger_b4_dl; replace using mod_magnet
  * Prune Suggests list

  [ Helmut Grohne ]
  * Upgrade unversioned breaks to conflicts

 -- Helmut Grohne <helmut.grohne@intenta.de>  Wed, 19 Jan 2022 21:58:43 +0100

lighttpd (1.4.63-1ubuntu3) jammy; urgency=medium

  * No-change rebuild against libwolfssl32

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Mar 2022 18:38:16 +0000

lighttpd (1.4.63-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against libmbedcrypto7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Feb 2022 23:45:01 +0000

lighttpd (1.4.63-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Remove duplicate override on dh_install
      - Remove duplicate outdated NEWS file
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.
  * Drop lighttpd-dev which is completely unused in Ubuntu.
  * Revert change that comments out use-ipv6.pl.  All servers should 
    bind to IPv6 by default, this change was introduced in Ubuntu in 
    2010 and has not been revisited since; and upstream said on the 
    original bug (LP #551211) that the Ubuntu delta could be reverted in 
    2013.
  * Drop dh_installinit override, introduced in 2008 in Ubuntu and not
    relevant since Ubuntu adopted systemd.
  * Drop references to obsolete libgamin.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Dec 2021 23:25:59 -0800

lighttpd (1.4.63-1) unstable; urgency=medium

  * New upstream version 1.4.63
  * Drop all patches, applied upstream
  * Fix load-all-modules autopkgtest: order mod_auth before mod_ajp13
  * Switch to pcre2 (Closes: 1000063)
  * Skip fewer tests in integration-tests autopkgtest

 -- Helmut Grohne <helmut.grohne@intenta.de>  Tue, 14 Dec 2021 13:56:57 +0100

lighttpd (1.4.61-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * New upstream version 1.4.61
  * Suppress deprecations in load-all-modules autopkgtest

  [ Glenn Strauss ]
  * [patch] update patches post lighttpd 1.4.61

 -- Helmut Grohne <helmut.grohne@intenta.de>  Thu, 04 Nov 2021 13:56:13 +0100

lighttpd (1.4.60-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Add missing epoch to php-fpm dependency
  * New upstream version 1.4.60
    + Drop all patches
    + Enable libzstd in mod_deflate
    + Update debian/copyright

  [ Glenn Strauss ]
  * lighty-enable-mod conflicts feature

  [ Helmut Grohne ]
  * Demote lsb-base dependency

 -- Helmut Grohne <helmut.grohne@intenta.de>  Wed, 03 Nov 2021 13:13:56 +0100

lighttpd (1.4.59-2) unstable; urgency=medium

  [ Glenn Strauss ]
  * replace mime-support with media-types dependency (Closes: #980269)

  [ Helmut Grohne ]
  * Drop transitional dummy packages after bullseye
  * Declare compliance with policy 4.6.0
  * Update d/copyright for moved fastcgi.h
  * Delete obsolete Breaks+Replaces (via janitor)
  * Delete obsolete lighttpd.maintscript (via janitor)

 -- Helmut Grohne <helmut.grohne@intenta.de>  Mon, 27 Sep 2021 12:08:34 +0200

lighttpd (1.4.59-1ubuntu3) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:38:09 +0000

lighttpd (1.4.59-1ubuntu2) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 17:53:35 -0400

lighttpd (1.4.59-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control, debian/lighttpd-dev.install:
      + Add lighttpd-dev package.
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.conf:
      + Comment 'use-ipv6.pl' by default, which causes failure
        to bind port in ipv4.
    - debian/control:
      + Build-Depends on libgamin-dev rather than libfam-dev
        to fix startup warning.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not
        start before apache2 but in the same runlevel with
        the same priority.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Remove duplicate override on dh_install
      - Remove duplicate outdated NEWS file
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.
    - Depend on libgamin to fix missing symbol errors

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Feb 2021 22:02:35 +0100

lighttpd (1.4.59-1) unstable; urgency=medium

  [ Glenn Strauss ]
  * New upstream version 1.4.59
  * [patch] fix 101 upgrade failure with Content-Length
  * [patch] mod_auth: close HTTP/2 connection after bad password
  * add mod_ajp13

 -- Glenn Strauss <gstrauss@gluelogic.com>  Thu, 11 Feb 2021 19:30:33 -0500

lighttpd (1.4.58-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control, debian/lighttpd-dev.install:
      + Add lighttpd-dev package.
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.conf:
      + Comment 'use-ipv6.pl' by default, which causes failure
        to bind port in ipv4.
    - debian/control:
      + Build-Depends on libgamin-dev rather than libfam-dev
        to fix startup warning.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not
        start before apache2 but in the same runlevel with
        the same priority.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Remove duplicate override on dh_install
      - Remove duplicate outdated NEWS file
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.
    - Depend on libgamin to fix missing symbol errors

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Jan 2021 12:28:32 +0100

lighttpd (1.4.58-2) unstable; urgency=medium

  [ Glenn Strauss ]
  * [patch] create-mime.conf.pl -v for warnings (Addresses: #979232)
  * [patch] fix crash in error trace if backend down
  * [patch] create-mime.conf.pl -v quiet for mult vnd

  [ Helmut Grohne ]
  * annotate media-types build dependency with <!nocheck>

  [ Glenn Strauss ]
  * autopkgtest: create-mime.conf.pl -v on media-types

 -- Helmut Grohne <helmut.grohne@intenta.de>  Thu, 14 Jan 2021 16:28:42 +0100

lighttpd (1.4.58-1) unstable; urgency=medium

  [ Glenn Strauss ]
  * [patch] create-mime.conf.pl improve case handling (Closes: #979232)
  * [patch] mod_extforward fix extforward.headers defaults

  [ Helmut Grohne ]
  * New upstream version 1.4.58

  [ Glenn Strauss ]
  * remove dependencies on libfcgi-dev, php-cgi
  * adjust vers deps for TLS libs

  [ Helmut Grohne ]
  * drop php and libfcgi from autopkgtest deps
  * autopkgtest: explicitly depend on media-types

 -- Helmut Grohne <helmut.grohne@intenta.de>  Fri, 08 Jan 2021 10:16:33 +0100

lighttpd (1.4.57-1) unstable; urgency=medium

  * New upstream version 1.4.57
  * Drop all patches. They're all upstream now.
  * Require nss >= buster to include TLS_AES_128_GCM_SHA256.
  * Declare compliance with debian policy 4.5.1: No changes needed.

 -- Helmut Grohne <helmut.grohne@intenta.de>  Fri, 18 Dec 2020 08:30:52 +0100

lighttpd (1.4.56-1) unstable; urgency=medium

  [ Justin Aplin ]
  * build: Set Build-Depends of libwolfssl-dev to >=4.2.0 due to missing TLS
    version macros in previous versions

  [ Glenn Strauss ]
  * tests/serve-cgi-file,do-not-emit-http-proxy-to-cgi.
    Thanks to Santiago Ruano Rincón <santiagorr@riseup.net> (Closes: #834625)
  * remove lighttpd dependency on FAM or gamin
  * remove --with-fam from build rules
  * patch for lighttpd -1 with pipes
  * patches for mod_wolfssl compatibility

  [ Helmut Grohne ]
  * New upstream version 1.4.56
  * Update debhelper compatibility level to 12.
    + Declare compatibility level via Build-Depends.
    + Add ${misc:Pre-Depends} to lighttpd for dh_installinit.
    + Accommodate moving documentation to /usr/share/doc/lighttpd.
  * consistently --link-doc all module packages

  [ Glenn Strauss ]
  * autopkgtests: upstream lighttpd integration tests

  [ Helmut Grohne ]
  * d/watch: Deal with %-escaped tilde
  * Stop supporting direct upgrades from squeeze

 -- Helmut Grohne <helmut.grohne@subdivi.de>  Wed, 09 Dec 2020 06:22:03 +0100

lighttpd (1.4.56~rc7-1) unstable; urgency=medium

  * Upload to unstable.
  * drop mod_authn_dbi.so from debian/not-installed

 -- Helmut Grohne <helmut.grohne@intenta.de>  Sat, 07 Nov 2020 11:03:57 +0100

lighttpd (1.4.56~rc7-0+exp2) experimental; urgency=medium

  [ Glenn Strauss ]
  * build lighttpd base against Nettle
  * split off package lighttpd-mod-openssl
  * split off package lighttpd-mod-deflate
  * merge lighttpd-mod-cml and lighttpd-mod-magnet into lighttpd-modules-lua
  * replace mod_compress with mod_deflate
  * build with brotli support; replace bzip2 support
  * separate package for each TLS module
    mod_openssl, mod_mbedtls, mod_nss, mod_wolfssl
  * new package lighttpd-modules-dbi with mod_authn_dbi, mod_vhostdb_dbi
  * document deprecated modules: mod_authn_mysql, mod_mysql_vhost
  * remove libattr1-dev dependency

  [ Helmut Grohne ]
  * remove mod_deflate from the default configuration

  [ Glenn Strauss ]
  * lighttpd.conf enable HTTP/2 feature

  [ Helmut Grohne ]
  * use the system libxxhash instead of our vendor copy

 -- Helmut Grohne <helmut.grohne@intenta.de>  Thu, 05 Nov 2020 20:18:08 +0100

lighttpd (1.4.56~rc7-0+exp1) experimental; urgency=medium

  * New upstream version 1.4.56~rc7

 -- Helmut Grohne <helmut.grohne@intenta.de>  Tue, 03 Nov 2020 05:51:40 +0100

lighttpd (1.4.56~rc2-0+exp1) experimental; urgency=medium

  * fix php-fpm socket path.
    Thanks to Joe Nahmias <joe@nahmias.net> (Closes: #973300)
  * New upstream version 1.4.56~rc2
    + Update debian/copyright
    + Drop all patches - all applied upstream
    + mod_compress is merged into mod_deflate
    + Skip installing mod_authn_dbi for now
    + load-all-modules test skips deprecated mod_vhost_mysql

 -- Helmut Grohne <helmut.grohne@intenta.de>  Mon, 02 Nov 2020 19:54:18 +0100

lighttpd (1.4.55-2) unstable; urgency=medium

  [ Glenn Strauss ]
  * remove upstream source files from debian/clean
  * use lua 5.3 going forwards (update from lua 5.1)
  * 05-auth.conf comment available algorithm SHA-256
  * 10-ssl.conf listens on IPv4, and IPv6 when avail (Closes: #952541)
  * patch: mod_openssl inherit cfg from global scope (Closes: #952541)
  * /var/run -> /run
  * lighty-enable-mod fastcgi-php-fpm option (Closes: #916677)
  * patch: dlsym for FAMNoExists (!18) (!22)
  * document mod_geoip deprecated

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.4.16-1, 1.4.15-1, 1.4.13-10,
    1.4.10-2.

  [ bauen1 ]
  * remove usage of 'su' in crontab (Closes: #958520)

 -- Helmut Grohne <helmut.grohne@intenta.de>  Mon, 26 Oct 2020 17:45:11 +0100

lighttpd (1.4.55-1ubuntu2) groovy; urgency=medium

  * Depend on libgamin to fix missing symbol errors (LP: #1453463)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 07 Aug 2020 00:47:56 +0000

lighttpd (1.4.55-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/lighttpd-dev.install:
      + Add lighttpd-dev package.
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.conf:
      + Comment 'use-ipv6.pl' by default, which causes failure
        to bind port in ipv4.
    - debian/control:
      + Build-Depends on libgamin-dev rather than libfam-dev
        to fix startup warning.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not
        start before apache2 but in the same runlevel with
        the same priority.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Remove duplicate override on dh_install
      - Remove duplicate outdated NEWS file
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2020 14:44:09 +0100

lighttpd (1.4.55-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * add debian/upstream/metadata
  * update expiration of Glenn's upstream signing key
  * move lighttpd to team maintenance
  * declare compliance with policy 4.5.0

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 10.
  * Drop unnecessary dependency on dh-autoreconf.
  * Drop unnecessary dh arguments: --parallel

  [ Helmut Grohne ]
  * Drop --with systemd from dh as it is enabled by compat 10
  * New upstream version 1.4.55

  [ Glenn Strauss ]
  * add debian/conf-available/05-setenv.conf

  [ Helmut Grohne ]
  * pidfile now lives in /run/lighttpd.pid (Closes: #929203)

 -- Helmut Grohne <helmut.grohne@intenta.de>  Mon, 24 Feb 2020 14:30:34 +0100

lighttpd (1.4.54-2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/lighttpd-dev.install:
      + Add lighttpd-dev package.
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.conf:
      + Comment 'use-ipv6.pl' by default, which causes failure
        to bind port in ipv4.
    - debian/control:
      + Build-Depends on libgamin-dev rather than libfam-dev
        to fix startup warning.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not
        start before apache2 but in the same runlevel with
        the same priority.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Remove duplicate override on dh_install
      - Remove duplicate outdated NEWS file
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Feb 2020 13:55:22 +0100

lighttpd (1.4.54-2) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
  * Rebuild with source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Oct 2019 12:34:59 -0400

lighttpd (1.4.54-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    + Drop all patches. All applied upstream.
  * Drop transitional dummy packages after the buster release.
  * Stop recommending lighttpd-modules-*.
  * Suggest all lighttpd modules instead.
  * Install lighttpd.socket as an example.
  * Declare compliance with policy version 4.4.0.
  * Build new module package lighttpd-mod-maxminddb.

 -- Helmut Grohne <helmut.grohne@intenta.de>  Sat, 28 Sep 2019 21:38:40 +0200

lighttpd (1.4.53-4ubuntu2) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 21 Aug 2019 15:46:18 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog lighttpd`.
